org.keycloak.common.util

## Class MultivaluedHashMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,List<V>>
    - - org.keycloak.common.util.MultivaluedHashMap<K,V>

- All Implemented Interfaces:
    Serializable, Cloneable, Map<K,List<V>>

      public class MultivaluedHashMap<K,V>
      extends HashMap<K,List<V>>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultivaluedHashMap()`
    `MultivaluedHashMap(Map<K,List<V>> map)`
    `MultivaluedHashMap(MultivaluedHashMap<K,V> config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(K key, V value)`
    `void` | `addAll(K key, List<V> valueList)`
    `void` | `addAll(K key, V... newValues)`
    `void` | `addAll(MultivaluedHashMap<K,V> other)`
    `void` | `addFirst(K key, V value)`
    `void` | `addMultiple(K key, Collection<V> values)`
    `boolean` | `equalsIgnoreValueOrder(MultivaluedHashMap<K,V> omap)`
    `V` | `getFirst(K key)`
    `List<V>` | `getList(K key)`
    `void` | `putSingle(K key, V value)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MultivaluedHashMap

          public MultivaluedHashMap()

    - #### MultivaluedHashMap

          public MultivaluedHashMap(Map<K,List<V>> map)

    - #### MultivaluedHashMap

          public MultivaluedHashMap(MultivaluedHashMap<K,V> config)

  - ### Method Detail

    - #### putSingle

          public void putSingle(K key,
                                V value)

    - #### addAll

          public void addAll(K key,
                             V... newValues)

    - #### addAll

          public void addAll(K key,
                             List<V> valueList)

    - #### addFirst

          public void addFirst(K key,
                               V value)

    - #### add

          public final void add(K key,
                                V value)

    - #### addMultiple

          public final void addMultiple(K key,
                                        Collection<V> values)

    - #### getFirst

          public V getFirst(K key)

    - #### getList

          public final List<V> getList(K key)

    - #### addAll

          public final void addAll(MultivaluedHashMap<K,V> other)

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder(MultivaluedHashMap<K,V> omap)

Copyright © 2020 JBoss by Red Hat. All rights reserved.